<?php
/**
 * Block styles.
 *
 * @package business-directory-bikit
 * @since 1.0.0
 */

function bikitdb_block_woo_register_block_styles() {

	register_block_style( // phpcs:ignore WPThemeReview.PluginTerritory.ForbiddenFunctions.editor_blocks_register_block_style
		'core/button',
		array(
			'name'  => 'business-directory-bikit-flat-button',
			'label' => __( 'Flat button', 'business-directory-bikit' ),
		)
	);

	register_block_style( // phpcs:ignore WPThemeReview.PluginTerritory.ForbiddenFunctions.editor_blocks_register_block_style
		'core/list',
		array(
			'name'  => 'business-directory-bikit-list-underline',
			'label' => __( 'Underlined list items', 'business-directory-bikit' ),
		)
	);

	register_block_style( // phpcs:ignore WPThemeReview.PluginTerritory.ForbiddenFunctions.editor_blocks_register_block_style
		'core/group',
		array(
			'name'  => 'business-directory-bikit-box-shadow',
			'label' => __( 'Box shadow', 'business-directory-bikit' ),
		)
	);

	register_block_style( // phpcs:ignore WPThemeReview.PluginTerritory.ForbiddenFunctions.editor_blocks_register_block_style
		'core/column',
		array(
			'name'  => 'business-directory-bikit-box-shadow',
			'label' => __( 'Box shadow', 'business-directory-bikit' ),
		)
	);

	register_block_style( // phpcs:ignore WPThemeReview.PluginTerritory.ForbiddenFunctions.editor_blocks_register_block_style
		'core/columns',
		array(
			'name'  => 'business-directory-bikit-box-shadow',
			'label' => __( 'Box shadow', 'business-directory-bikit' ),
		)
	);

	register_block_style( // phpcs:ignore WPThemeReview.PluginTerritory.ForbiddenFunctions.editor_blocks_register_block_style
		'core/details',
		array(
			'name'  => 'business-directory-bikit-plus',
			'label' => __( 'Plus & minus', 'business-directory-bikit' ),
		)
	);
}
add_action( 'init', 'bikitdb_block_woo_register_block_styles' );

/**
 * This is an example of how to unregister a core block style.
 *
 * @see https://developer.wordpress.org/block-editor/reference-guides/block-api/block-styles/
 * @see https://github.com/WordPress/gutenberg/pull/37580
 *
 * @since 1.0.0
 *
 * @return void
 */
function bikitdb_block_woo_unregister_block_style() {
	wp_enqueue_script(
		'business-directory-bikit-unregister',
		get_stylesheet_directory_uri() . '/assets/js/unregister.js',
		array( 'wp-blocks', 'wp-dom-ready', 'wp-edit-post' ),
		BIKITDB_,
		true
	);
}
add_action( 'enqueue_block_editor_assets', 'bikitdb_block_woo_unregister_block_style' );
